#3238 closed defect (fixed)

Git push to Trac with more than one commit does not update tickets.

Reported by: Chris Johns Owned by: Amar Takhar
Priority: highest Milestone: 5.1
Component: admin Version:
Severity: blocker Keywords:
Cc: Blocked By:
Blocking: #3561

Description

The git push to trac hook does not queue or handle a number of commits in a push. As a result updates to tickets can be missed.

Change History (6)

comment:1 Changed on Nov 16, 2017 at 8:42:34 PM by Chris Johns

Summary: Git push to trace with more than one commit does not update tickets.Git push to Trac with more than one commit does not update tickets.

comment:2 Changed on Feb 5, 2018 at 11:42:25 PM by Chris Johns

Priority: normalhighest
Severity: normalblocker

I consider this ticket is important and we need to find a solution. I am finding tickets are not being closed on branches if there is a push with more than one change. This creates 2 issues, the first the ticket is not closed effecting the milestone report and manually closing the ticket requires finding and pasting in the URL for the changeset and so we can have a possible mix of Trac changesets and cgit changesets. Given we have moved to Trac generated Release Notes (which are fantastic) having this data correct for releases is important.

comment:3 Changed on May 3, 2018 at 5:19:40 AM by Sebastian Huber

I use the following workaround:

git log --format='%h' origin/master..HEAD | tac | sed 's%\(.*\)%git push origin \1:master%' > tmp.sh

It creates a script to push each commit separately.

comment:4 Changed on Oct 13, 2018 at 10:35:56 PM by Joel Sherrill

Owner: set to Amar Takhar
Status: newassigned

comment:5 Changed on Oct 14, 2018 at 12:46:19 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:6 Changed on Oct 21, 2018 at 12:13:37 AM by Amar Takhar

Blocking: 3561 added
Note: See TracTickets for help on using tickets.